%define pkg_name        Benchmark-Thread-Size
%define pkg_version     0.07
%define rpm_pkg_version 0.07
%define rpm_pkg_release 2.n0i.2

Summary:       Report size of threads for different code approaches
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/E/EL/ELIZABETH/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Devel::Required)}
%{!?_without_test:BuildRequires: perl(Test::More)}


%description
The Benchmark::Thread::Size module reports how much memory is used by
different pieces of source code within a threaded application. This allows
you to test different approaches to coding a specific threaded application
or to find ways how to reduce memory usage of threads in general.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
%{fix_man}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGELOG README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.07-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer 1.07
- rebuild on perl 5.8.8

* Sat Aug 06 2005 Marius Feraru <altblue@n0i.net> 0.07-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
